searchNodes=[{"doc":"Instrumenter to handle logging of various instrumentation events. This is a fork of Phoenix.Logger designed to produce slimmer single-line log entries for requests. Instrumentation Phoenix uses the :telemetry library for instrumentation. The following events are published by Phoenix with the following measurements and metadata: [:phoenix, :endpoint, :init] - dispatched by Phoenix.Endpoint after your Endpoint supervision tree successfully starts Measurement: %{system_time: system_time} Metadata: %{pid: pid(), config: Keyword.t(), module: module(), otp_app: atom()} Disable logging: This event is not logged [:phoenix, :endpoint, :start] - dispatched by Plug.Telemetry in your endpoint, usually after code reloading Measurement: %{system_time: system_time} Metadata: %{conn: Plug.Conn.t, options: Keyword.t} Options: %{log: Logger.level | false} Disable logging: In your endpoint plug Plug.Telemetry, ..., log: Logger.level | false Configure log level dynamically: plug Plug.Telemetry, ..., log: {Mod, Fun, Args} [:phoenix, :endpoint, :stop] - dispatched by Plug.Telemetry in your endpoint whenever the response is sent Measurement: %{duration: native_time} Metadata: %{conn: Plug.Conn.t, options: Keyword.t} Options: %{log: Logger.level | false} Disable logging: In your endpoint plug Plug.Telemetry, ..., log: Logger.level | false Configure log level dynamically: plug Plug.Telemetry, ..., log: {Mod, Fun, Args} [:phoenix, :router_dispatch, :start] - dispatched by Phoenix.Router before dispatching to a matched route Measurement: %{system_time: System.system_time} Metadata: %{conn: Plug.Conn.t, route: binary, plug: module, plug_opts: term, path_params: map, pipe_through: [atom], log: Logger.level | false} Disable logging: Pass log: false to the router macro, for example: get(&quot;/page&quot;, PageController, :index, log: false) Configure log level dynamically: get(&quot;/page&quot;, PageController, :index, log: {Mod, Fun, Args}) [:phoenix, :router_dispatch, :exception] - dispatched by Phoenix.Router after exceptions on dispatching a route Measurement: %{duration: native_time} Metadata: %{conn: Plug.Conn.t, kind: :throw | :error | :exit, reason: term(), stacktrace: Exception.stacktrace()} Disable logging: This event is not logged [:phoenix, :router_dispatch, :stop] - dispatched by Phoenix.Router after successfully dispatching a matched route Measurement: %{duration: native_time} Metadata: %{conn: Plug.Conn.t, route: binary, plug: module, plug_opts: term, path_params: map, pipe_through: [atom], log: Logger.level | false} Disable logging: This event is not logged [:phoenix, :error_rendered] - dispatched at the end of an error view being rendered Measurement: %{duration: native_time} Metadata: %{conn: Plug.Conn.t, status: Plug.Conn.status, kind: Exception.kind, reason: term, stacktrace: Exception.stacktrace} Disable logging: Set render_errors: [log: false] on your endpoint configuration [:phoenix, :socket_connected] - dispatched by Phoenix.Socket , at the end of a socket connection Measurement: %{duration: native_time} Metadata: %{endpoint: atom, transport: atom, params: term, connect_info: map, vsn: binary, user_socket: atom, result: :ok | :error, serializer: atom, log: Logger.level | false} Disable logging: use Phoenix.Socket, log: false or socket &quot;/foo&quot;, MySocket, websocket: [log: false] in your endpoint [:phoenix, :channel_joined] - dispatched at the end of a channel join Measurement: %{duration: native_time} Metadata: %{result: :ok | :error, params: term, socket: Phoenix.Socket.t} Disable logging: This event cannot be disabled [:phoenix, :channel_handled_in] - dispatched at the end of a channel handle in Measurement: %{duration: native_time} Metadata: %{event: binary, params: term, socket: Phoenix.Socket.t} Disable logging: This event cannot be disabled To see an example of how Phoenix LiveDashboard uses these events to create metrics, visit https://hexdocs.pm/phoenix_live_dashboard/metrics.html . Parameter filtering When logging parameters, Phoenix can filter out sensitive parameters such as passwords and tokens. Parameters to be filtered can be added via the :filter_parameters option: config :phoenix , :filter_parameters , [ &quot;password&quot; , &quot;secret&quot; ] With the configuration above, Phoenix will filter any parameter that contains the terms password or secret . The match is case sensitive. Phoenix's default is [&quot;password&quot;] . Phoenix can filter all parameters by default and selectively keep parameters. This can be configured like so: config :phoenix , :filter_parameters , { :keep , [ &quot;id&quot; , &quot;order&quot; ] } With the configuration above, Phoenix will filter all parameters, except those that match exactly id or order . If a kept parameter matches, all parameters nested under that one will also be kept. Dynamic log level In some cases you may wish to set the log level dynamically on a per-request basis. To do so, set the :log option to a tuple, {Mod, Fun, Args} . The Plug.Conn.t() for the request will be prepended to the provided list of arguments. When invoked, your function must return a Logger.level() or false to disable logging for the request. For example, in your Endpoint you might do something like this: # lib/my_app_web/endpoint.ex plug Plug.Telemetry , event_prefix : [ :phoenix , :endpoint ] , log : { __MODULE__ , :log_level , [ ] } # Disables logging for routes like /status/* def log_level ( %{ path_info : [ &quot;status&quot; | _ ] } ) , do : false def log_level ( _ ) , do : :info","ref":"SlimLogger.html","title":"SlimLogger","type":"module"},{"doc":"A slim formatter for one-line log entries (e.g. method=GET format=html). Implementation based on the Logster string formatter .","ref":"SlimLogger.Formatter.html","title":"SlimLogger.Formatter","type":"module"},{"doc":"Formats a map of parameters. iex&gt; Formatter . format ( [ method : :get , count : 3.0 ] ) [ [ &quot;method&quot; , &quot;=&quot; , &quot;get&quot; ] , 32 , [ &quot;count&quot; , &quot;=&quot; , &quot;3.000&quot; ] ]","ref":"SlimLogger.Formatter.html#format/1","title":"SlimLogger.Formatter.format/1","type":"function"},{"doc":"Compiles Phoenix request data into map for logging. Based on the Logster plug .","ref":"SlimLogger.Request.html","title":"SlimLogger.Request","type":"module"},{"doc":"Assembles a list of params for logging.","ref":"SlimLogger.Request.html#to_params/2","title":"SlimLogger.Request.to_params/2","type":"function"},{"doc":"A single-line logger implementation to replace the default Phoenix logger. This is a fork of Phoenix.Logger designed to produce slimmer, single-line log entries for requests. At the moment, only standard request logs have been slimmed down.","ref":"readme.html","title":"Slim Logger","type":"extras"},{"doc":"The package can be installed by adding slim_logger to your list of dependencies in mix.exs : def deps do [ { :slim_logger , &quot;~&gt; 0.1.0&quot; } ] end To get started, disable the default Phoenix logger in config: # config/config.exs # Disable the default `Phoenix.Logger` so we can use `SlimLogger` instead. config :phoenix , :logger , false Then, in your application file, call the install function: # lib/my_app/application.ex defmodule MyApp.Application do use Application @impl true def start ( _type , _args ) do children = [ # ... ] # Install the slim logger SlimLogger . install ( ) opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end end","ref":"readme.html#installation","title":"Slim Logger - Installation","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Initial release","ref":"changelog.html#0-1-0","title":"Changelog - 0.1.0","type":"extras"},{"doc":"MIT License Copyright (c) 2022-present SavvyCal, Inc. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]